#!/bin/bash

#
#$ -wd /scratch1/parfenov/Soft/TestNodes/sge_ncx/TMP
#$ -cwd
#$ -N @jobnode@_check
#$ -q all.q
#$ -l h_rt=0:10:00
#$ -l s_rt=0:10:00
#$ -t 1-1
#$ -l h=(@jobnode@)
#
#$ -o /scratch1/parfenov/Soft/TestNodes/sge_ncx/TMP
#$ -e /scratch1/parfenov/Soft/TestNodes/sge_ncx/TMP
#

export JOB_ID=$JOB_ID
export TASK_ID=$SGE_TASK_ID

export START_DIR=${PWD}
export MAIN_DIR=/scratch1/parfenov/Soft/TestNodes/sge_ncx

export OUT_DIR=${MAIN_DIR}/OUT
export OUT_LOG=${OUT_DIR}/log
export OUT_COUNTER=${OUT_DIR}/counter
export TMP_DIR=${MAIN_DIR}/TMP

mkdir -p $OUT_LOG
mkdir -p $OUT_COUNTER

export LOG=${OUT_LOG}/@jobnode@.log
export COUNTER=${OUT_COUNTER}/@jobnode@

echo "Job : ${JOB_ID}" &>> $LOG
echo "Node: @jobnode@" &>> $LOG
echo "Test (cvmfs) begins." &>> $LOG

echo "cd /cvmfs" &>> $LOG
cd /cvmfs &>> $LOG
echo "cd /cvmfs - done" &>> $LOG
cd $START_DIR &>> $LOG

echo "source /cvmfs/nica.jinr.ru/sw/os/login.sh" &>> $LOG
source /cvmfs/nica.jinr.ru/sw/os/login.sh &>> $LOG
echo "source /cvmfs/nica.jinr.ru/sw/os/login.sh - done" &>> $LOG

echo "module add ROOT/v6-24-06-4" &>> $LOG
module add ROOT/v6-24-06-4 &>> $LOG
echo "module add ROOT/v6-24-06-4 - done" &>> $LOG

echo "root -b -q" &>> $LOG
root -b -q &>> $LOG
echo "root -b -q - done" &>> $LOG

touch $COUNTER

echo "Job completed" &>> $LOG
